/resource-profiles/detections#resourceArn
http://macie2.{region}.amazonaws.com/resource-profiles/detections#resourceArnUpdates the sensitivity scoring settings for an S3 bucket.
Query Params
The Amazon Resource Name (ARN) of the S3 bucket that the request applies to.
Body Params
An array of objects, one for each custom data identifier or managed data identifier that detected the type of sensitive data to start excluding or including in the bucket's score. To start including all sensitive data types in the score, don't specify any values for this array.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://macie2.{region}.amazonaws.com/resource-profiles/detections#resourceArn' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}